Bug 611046 - [abrt] crash in yum-utils-1.1.26-1.fc12: sqlitesack.py:55:newFunc:RepoError: database disk image is malformed
Summary: [abrt] crash in yum-utils-1.1.26-1.fc12: sqlitesack.py:55:newFunc:RepoError: ...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils   
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f368b62f
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-03 10:10 UTC by colinmw
Modified: 2014-01-21 23:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 17:45:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.10 KB, text/plain)
2010-07-03 10:10 UTC, colinmw
no flags Details

Description colinmw 2010-07-03 10:10:14 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/debuginfo-install abrt --skip-broken
component: yum-utils
executable: /usr/bin/debuginfo-install
kernel: 2.6.32.14-127.fc12.x86_64
package: yum-utils-1.1.26-1.fc12
reason: sqlitesack.py:55:newFunc:RepoError: database disk image is malformed
release: Fedora release 12 (Constantine)

Comment 1 colinmw 2010-07-03 10:10:17 UTC
Created attachment 429238 [details]
File: backtrace

Comment 2 seth vidal 2010-07-06 16:44:45 UTC
The error causing the traceback has something to do with some pretty broken sqlite dbs you have - this is causing the other issues you've posted by abrt, too.

however, yum[utils] should not be tracing back in this way and I've committed code upstream to properly catch and report this error.

is there any chance your /var/cache path is mounted on an odd filesystem and/or network-mounted filesystem?

Comment 3 colinmw 2010-07-07 10:02:16 UTC
All filesystems are ext4 format on localhost, configured through lvm.

Comment 4 seth vidal 2010-07-09 17:45:19 UTC
okay - well we'll exit more gracefully if this error occurs. Given all the rest of the problems you seem to be having on your system I'm not inclined to pursue this further than catching the traceback.


thanks


Note You need to log in before you can comment on or make changes to this bug.